## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/googlefonts/ots-python/

Name:           python-opentype-sanitizer
# Upstream version is kept in sync with opentype-sanitizer
# (https://github.com/khaledhosny/ots), which is normally built and bundled as
# part of the Python wheel build. Similarly, we should update this package
# together with the opentype-sanitizer package in the distribution, ideally as
# a multi-build update (i.e., in a side tag).
#
# See https://github.com/googlefonts/ots-python/issues/3 for the process to
# update the source for a new opentype-sanitizer release; send upstream a PR if
# they are lagging.
Version:        8.2.1
%forgemeta
Release:        %autorelease -b 9
Summary:        Python wrapper for the OpenType Sanitizer

License:        BSD
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch

Patch0:         python-opentype-sanitizer-8.2.1-no-bundled-executable.patch

BuildRequires:  python3-devel
BuildRequires:  opentype-sanitizer = %{version}

Requires:       opentype-sanitizer = %{version}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-opentype-sanitizer
Summary:        %{summary}

# The package was renamed due to PyPI parity requirements. Provide a compatible
# upgrade path. We must do this for three releases. Since the renaming occurred
# prior to the release of Fedora 36, we can remove this after Fedora 38 reaches
# end-of-life.
Obsoletes:      python3-ots < 8.2.1-9
Provides:       python3-ots = %{version}-%{release}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_provides_for_importable_modules
%py_provides python3-ots

%description -n python3-opentype-sanitizer %{common_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires -x testing


%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel


%install
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
export BINDIR=/usr/bin
%pyproject_install
# Fix the symlink, which was dereferenced during “wheelification”:
ln -svf '%{_bindir}/ots-sanitize' '%{buildroot}%{python3_sitelib}/ots/'
%pyproject_save_files ots


%check
%pytest


%files -n python3-opentype-sanitizer -f %{pyproject_files}
%doc README.md


%changelog
* Wed Mar 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> 8.2.1-9
- Initial package (renamed python-ots; fix RHBZ#2049273)
